Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.node
Class InterleaveStart

    java.lang.Object
      org.jbpm.graph.def.GraphElement
          org.jbpm.graph.def.Node
              org.jbpm.graph.node.InterleaveStart

All Implemented Interfaces:
  java.io.Serializable, Parsable

    public class InterleaveStart

extends Node
implements Parsable

is an unordered set of child nodeMap. the path of execution will be given to each node exactly once. the sequence of the child nodeMap will be determined at runtime. this implements the workflow pattern interleved parallel routing. If no script is supplied, the transition names will be sequenced in arbitrary order. If a script is provided, the variable transitionNames contains the available transition names. The returned value has to be one of those transitionNames. Instead of supplying a script, its also possible to subclass this class and override the selectTransition method.

See Also:
  Serialized Form

Nested Class Summary
`class` | `InterleaveStart.DefaultInterleaver`
`static interface` | `InterleaveStart.Interleaver`

Field Summary

Fields inherited from class org.jbpm.graph.def.Node
`action, arrivingTransitions, isAsync, isAsyncExclusive, leavingTransitions, superState, supportedEventTypes`

Fields inherited from class org.jbpm.graph.def.GraphElement
`description, events, exceptionHandlers, name, processDefinition`

Constructor Summary
`InterleaveStart()`
`InterleaveStart(java.lang.String name)`

Method Summary
`void` | `execute(ExecutionContext executionContext)` override this method to customize the node behaviour.
`InterleaveStart.Interleaver` | `getInterleaver()`
`protected java.util.Collection` | `getTransitionNames(Token token)`
`void` | `read(org.dom4j.Element element, JpdlXmlReader jpdlReader)`
`void` | `removeTransitionNames(Token token)`
`java.util.Collection` | `retrieveTransitionNames(Token token)`
`void` | `setInterleaver(InterleaveStart.Interleaver interleaver)`
`protected void` | `storeTransitionNames(java.util.Collection transitionNames, Token token)`
`void` | `write(org.dom4j.Element element)`

Methods inherited from class org.jbpm.graph.def.Node
`addArrivingTransition, addLeavingTransition, addNodeLog, createAsyncContinuationJob, enter, generateNextLeavingTransitionName, getAction, getArrivingTransitions, getDefaultLeavingTransition, getFullyQualifiedName, getLeavingTransition, getLeavingTransitions, getLeavingTransitionsList, getLeavingTransitionsMap, getNodes, getParent, getProcessDefinition, getSuperState, getSupportedEventTypes, hasLeavingTransition, hasNoLeavingTransitions, isAsync, isAsyncExclusive, isSuperStateNode, leave, leave, leave, removeArrivingTransition, removeLeavingTransition, reorderLeavingTransition, setAction, setAsync, setAsyncExclusive, setName`

Methods inherited from class org.jbpm.graph.def.GraphElement
`addEvent, addExceptionHandler, createAsyncActionExecutionJob, equals, executeAction, findExceptionHandler, fireAndPropagateEvent, fireEvent, getDescription, getEvent, getEvents, getExceptionHandlers, getId, getName, getParentChain, getParents, hasEvent, hasEvents, raiseException, removeEvent, removeExceptionHandler, reorderExceptionHandler, setDescription, setProcessDefinition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterleaveStart

    public InterleaveStart()

### InterleaveStart

    public InterleaveStart(java.lang.String name)

Method Detail

### read

    public void read(org.dom4j.Element element,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`
  Overrides:
    `read` in class `Node`

### write

    public void write(org.dom4j.Element element)

  Specified by:
    `write` in interface `Parsable`
  Overrides:
    `write` in class `Node`

### execute

    public void execute(ExecutionContext executionContext)

  Description copied from class: `Node`
  override this method to customize the node behaviour.

  Overrides:
    `execute` in class `Node`

### getTransitionNames

    protected java.util.Collection getTransitionNames(Token token)

### storeTransitionNames

    protected void storeTransitionNames(java.util.Collection transitionNames,
                                        Token token)

### retrieveTransitionNames

    public java.util.Collection retrieveTransitionNames(Token token)

### removeTransitionNames

    public void removeTransitionNames(Token token)

### getInterleaver

    public InterleaveStart.Interleaver getInterleaver()

### setInterleaver

    public void setInterleaver(InterleaveStart.Interleaver interleaver)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD